<?php

/*
*	Copyright VeryIDE,2007-2010
*	http://www.veryide.com/
*
*	$Id: version.php,v2 11:46 2009-9-10 Leilei $
*/

error_reporting(E_ERROR | E_WARNING | E_PARSE);
set_magic_quotes_runtime(0);

//会话ID，不能正常会话时使用
//session_id(SID);

//开启会话
session_start();

//开启缓冲
ob_start();

header('Content-Type:text/html; charset=gbk');

//VeryIDE 产品配置
//************************************

	$Product = array();
	
		//产品名称
		$Product["appname"]="Bee";
	
		//产品版本号
		$Product["version"]="1.0";
		

//VeryIDE 系统配置
//************************************

	$Project = array();
	
		//VeryIDE 版本
		$Project["version"]	= "5.0";
		
		//VeryIDE 流水号
		$Project["build"]	= 20100820;
		
		//VeryIDE 编码
		$Project["charset"]	= "gbk";
	
		//主机（HOST）本地绝对目录，自动获取值，用于处理附件
		//	E:\Works\
		$Project["base"] = realpath(dirname(__FILE__)."/../../")."/";
		
		/*
		echo VI_ROOT;
		//echo '<br />';
		//echo $Project["addr"];
		echo '<br />';
		echo $Project["base"];
		echo '<br />';
		*/
	
		//站点主域名，自动获取值，不用设置
		//preg_match("/.*\.(.+?)\.(.+?)$/",$_SERVER["HTTP_HOST"],$matches);
		//$Project["domain"] = count($matches)>0? "." : ($matches[1].".".$matches[2]);
		$Project["domain"]	= $_SERVER["HTTP_HOST"];

		//缓存目录
		$Project["cache"]	="cache/";						
	
		//模块目录
		$Project["module"]	="module/";
	
		//图片目录
		$Project["image"]	="image/";
	
		//附件目录
		$Project["upload"]	="attach/";
		
		//数据库查询次数
		$Project["queries"]	= 0 ;
		
		//安全模式需要禁用的页面
		//$Project["disabled"]=array("veryide.logs.php","veryide.server.php","veryide.menus.php","veryide.update.php","veryide.modules.php");
		
		//需要检查目录权限的目录
		$Project["check"]	= array( "attach/", "cache/", "config/", "module/", "data/install/", "data/update/", "data/backup/" );
	
		//附件位置
		$Project["attach"]	= array("本地","远程");
		
		//对象归属
		$Project["object"] 	= array("sys"=>"系统","mod"=>"模块","diy"=>"自定义");
	
		//VeryIDE SQL
		$Project["sql"]		= array();
	
		//系统用户登录SQL
		//$Project["sql"]["login"]="select id,gid,account,last_login,last_active,stat_login,avatar,email from ".VI_DBMANPRE."admin where ( account='[account]' and password='[password]' and status>0 ) LIMIT 0, 1";
		
		//系统用户更新SQL
		//$Project["sql"]["update"]="update ".VI_DBMANPRE."admin set [setting] where id = '[aid]' ";
		
		//VeryIDE 支持中心
		$Project["home"]="http://www.veryide.com/";
		
		//Power By
		$Project["powered"] = 'Powered by <a href="'.$Project["home"].'/search.php?q='.$Product["appname"].'" target="_blank" title="Powered by VeryIDE">VeryIDE</a>';
	
		//VeryIDE Logo
		/*
		$Project["support"] = '<div class="news">
								<a href="'.$Project["home"].'/search.php?product='.$Product["appname"].'&version='.$Product["version"].'" target="_blank"><img src="'.VI_BASE.'image/support.png" alt="Powered by VeryIDE" /></a><br />
								<img src="'.VI_BASE.'image/icon/home.png" align="absmiddle" /> <a href="'.$Project["home"].'/search.php?product='.$Product["appname"].'&version='.$Product["version"].'" target="_blank">'.$Project["home"].'</a>
							</div>
							';
		*/
	
		//FAQ 链接
		$Project["faq"] = '<a href="'.$Project["home"].'/search.php?product='.$Product["appname"].'&version='.$Product["version"].'" target="_blank">FAQ</a>';
	
		//VeryIDE 产品全称
		$Project["product"]='VeryIDE '.$Product["appname"].' '.$Product["version"].' '.str_replace(array("f","d"),array("F","D"),$Licence["type"]).' ( VeryIDE Core '.$Project["version"].' '.strtoupper($Project["charset"]).' )';
	
		//VeryIDE Email
		$Project["email"] = "veryide@qq.com";
		
		//扩展菜单
		/*
		$Project["extra"] = '<li class="menu"><img src="'.VI_BASE.'image/icon/left.png" title="后退" alt="后退" align="" onclick="history.back();" style="cursor:pointer;" /> <img src="'.VI_BASE.'image/refresh.png" title="刷新" alt="刷新" align="" onclick="location.reload();" style="cursor:pointer;" /> <img src="'.VI_BASE.'image/icon/right.png" title="前进" alt="前进" align="" onclick="history.go(1);" style="cursor:pointer;" /></li>';
		*/
		
		//数据统计
		$Project["stat"] = array("{TableManPre}files"=>"上传文件","{TableManPre}logs"=>"系统日志","{TableManPre}admins"=>"系统用户","{TableManPre}groups"=>"用户分组","{TableManPre}menus"=>"系统菜单");

		//性别信息
		$Project["sex"] = array("女士","男士");

		//婚姻状态
		$Project["marriage"] = array("未婚","已婚");

		//周数组
		$Project["weeks"] = array("星期日","星期一","星期二","星期三","星期四","星期五","星期六");
	
		//月数组
		$Project["months"] = array("一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月");
	
		//天数组
		$Project["days"] = array(0,31,28,31,30,31,30,31,31,30,31,30,31);
	
		//数据状态
		$Project["status"] = array('<span class="text-no">禁用</span>','<span class="text-yes">启用</span>');
		
		//权限配置		
		/*
		命名规则：模块名称+操作名称(3位)
		*/
		$Project["func"] = array(
						   "用户管理" => array("admin-add"=>"添加用户","admin-del"=>"删除用户","admin-mod"=>"修改用户","admin-pwd"=>"修改密码","admin-pwd"=>"更改权限","admin-dld"=>"下载通讯录"),
						   "个人资料" => array("account-mod"=>"修改资料","account-pwd"=>"修改密码","account-gid"=>"更改权限"),
						   "用户分组" => array("group-add"=>"添加分组","group-del"=>"删除分组","group-mod"=>"修改分组"),
						   "文件管理" => array("upload-add"=>"上传文件","upload-del"=>"删除文件","upload-pcs"=>"处理文件","upload-bak"=>"最近文件"),
						   "菜单管理" => array("menu-add"=>"添加菜单","menu-del"=>"删除菜单","menu-mod"=>"修改菜单"),
						   "系统更新" => array("update-add"=>"安装更新","update-del"=>"删除更新","update-sql"=>"执行更新语句"),
						   "数据备份" => array("backup-add"=>"创建备份","backup-del"=>"删除备份","backup-exe"=>"恢复备份数据"),
						   "系统模块" => array("module-add"=>"安装模块","module-del"=>"模块卸载","module-ena"=>"启用模块","module-dis"=>"禁用模块","module-cfg"=>"配置模块"),
						   "系统功能" => array("system-cache"=>"缓存清理","system-recycle"=>"直接删除","system-logs"=>"检索用户日志"),
						   "配置管理" => array("setting-system"=>"配置系统","setting-module"=>"配置模块","setting-service"=>"配置服务")
						 );
		
		//页面权限
		$Project["pages"] = array(
								"event.php"=>"系统日志",
								"menus.php"=>"系统菜单",
								"modules.php"=>"系统模块",
								"optimalize.php"=>"系统优化",
								"secure.php"=>"系统安全",
								"server.php"=>"系统信息",
								"setting.php"=>"系统设置",
								"update.php"=>"系统更新",
								"tables.php"=>"数据结构",
								"search.php"=>"搜索引擎",
								"account.php"=>"编辑用户",
								"admins.php"=>"用户列表",
								"files.php"=>"文件管理",
								"group.php"=>"编辑分组",
								"groups.php"=>"用户列表"
								);


//系统版本配置
//******************************

	$Version = array();

		//演示版
		$Version["demo"] = array('name'=>'演示版','desc'=>'提供主要功能使用，主要用于本地测试。');
		
		//免费版
		$Version["free"] = array('name'=>'免费版','desc'=>'拥有基本核心功能，免费提供给大家使用。');
		
		//商业版
		$Version["full"] = array('name'=>'商业版','desc'=>'全功能商业授权版，需要付费购买后才能使用。');					
		
		//特别版
		$Version["only"] = array('name'=>'特别版','desc'=>'在商业版基础上新增或扩展了部分功能，需要付费。');					


//系统缓存配置
//******************************

	$VICACHE = array();
	

//系统模块配置
//******************************

	$Modules = array();
		

//上传文件类型
//******************************

	$Upload = array();
		$Upload["image"] = array('jpg','jpeg','gif','png','bmp');
		$Upload["media"] = array('mpg','mpeg','dat','avi','mp3','mp4','rm','rmvb','wmv','asf','vob','wma','wav','mid','mov','qt','3gp');
		$Upload["flash"] = array('swf','flv');
		$Upload["files"] = array('pdf','txt','zip','apk','gz','rar','tar','7z','iso','doc','docx','xsl','csv','ppt','wps','torrent','fla');


//系统模板配置
//******************************

	$Options = array();
		
		//用户
		$Options["admins"] = '<option value=\'{table:id}\'>{table:account}</option>';
		
		//用户组
		$Options["groups"] = '<option value=\'{table:id}\'>{table:name}</option>';
		
		//菜单
		$Options["menus"] = '<option value=\'{table:id}\'>{table:name}</option>';


?>